ChargeShot = {}

function CSImpact(me)
	child = CreateObject(me, "ChargeImpact","PlayerFX", 0,2,-1,false)
	MoveObject(child,-30,0)
end

function ChargeShot.Death(me)
	CSImpact(me)
	RemoveFGObject(me)
end

function ChargeShot.Collide(me, you)
	--health = GetHealth(you)
	--AddHealth(me, -health)
	if GetHealth(you) <= GetHealth(me)
	then
		CSImpact(me)
	else
		SetHealth(me,0)
	end
	
	
end

function ChargeShot.Create(me)
	SetPower(me,4)
	SetHealth(me,4)
	AddFGObject(me) --Hacky
end